﻿import OPEngine
import math
from OPEngine import Game, rgb, Vector3, bindkey, Cube

############## CONTROL CUBE ##############

class controlCube(Game):
    def __init__(self):
        Game.__init__(self,"ControlCube","v0.1",rgb(217,249,252))
    def start(self):
        self.myYrot = 0
        self.myXrot = 0
        bindkey("<Left>", self.leftbutton)
        bindkey("<Right>", self.rightbutton)
        bindkey("<Up>", self.upbutton)
        bindkey("<Down>", self.downbutton)
        self.objects["masterCube"] = Cube("MainCube",Vector3(0,0,4),Vector3(0,0,0),Vector3(1,1,1),rgb(255,255,255),border=rgb(0,0,0))
        #self.objects["masterShell"] = Cube("MainShell",Vector3(0,0,4),Vector3(0,0,0),Vector3(1.05,1.05,1.05),rgb(0,0,0),wireFrame=True)
    def update(self,deltaTime):
        self.objects["masterCube"].setRot(Vector3(self.myXrot,self.myYrot,0))
        self.objects["masterCube"].colour = rgb(int(127*(math.sin(self.uptime)+1)),int(127.5*(math.sin(self.uptime/2)+1)),int(127.5*(math.sin(self.uptime+1)+1)))
        #self.objects["masterShell"].rotation = self.objects["masterCube"].rotation
        #self.objects["masterShell"].update()
    def end(self):
        pass
    def leftbutton(self,event):
        self.myYrot-=200*self.deltaTime
    def rightbutton(self,event):
        self.myYrot+=200*self.deltaTime
    def upbutton(self,event):
        self.myXrot+=200*self.deltaTime
    def downbutton(self,event):
        self.myXrot-=200*self.deltaTime

OPEngine.runGame(controlCube())
